View Issue Details

IDProjectCategoryView StatusLast Update
0001690Ham Radio DeluxeBugpublic2018-04-09 14:37
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0001690: Lat/Lon calc on Location tab incorrect when updating grid
DescriptionI was just reviewing the forum post at http://forums.hrdsoftwarellc.com/showthread.php?28943-Grid-Locator-update-still-broken and found out the lat/lon calc from grid square is not working properly. This is as-of the new release 6.2.4 (build 280).

Just saw WB5JJJ's post and thought I would throw my 2 cents worth in.

Chris Peters - N4KIT
Steps To ReproduceSteps to replicate:

1. Open an ALE
2. Go to Options> and tick "Mirror locator on Location tab"
3. Open the Location tab
4. Enter a grid square in the Locator field on the Location tab
5. click the up arrow button to calc lat/lon
6. validate that the resulting lat/lon is NOT the center of the grid locator you entered.

Example: FM16pt - center of grid is 36.814574, -76.708772 (pretty close)

The calculate from locator function in HRD gives 38.14583333, -74.04166667 which is actually in grid FM28xd.
Additional InformationNote: Calculating locator from lat/lon works correctly (the down arrow). Entering my lat/lon and clicking down arrow DOES yield FM16pt, my gridsquare. Also, these data propagate to the "Rotator" section of the main ALE.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0001660 new 2 - Next Dev List (Holding Area) Use Maidenhead locator (grid square) for ALE coordinates 

Activities

K7ZCZ

2018-03-08 22:17

manager   ~0004456

shelved fix here: https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=fix%20lat-long%20calc%3Bmikeblas%40msn.com

and sent out for code review

g3ucq

2018-03-22 14:25

viewer   ~0004526

Entering my locator gives the correct Lon/Lat
Entering FM16pt gives 36.8125 and -76.708333. If that is correct then it is fixed.

vk2byi

2018-03-23 18:32

viewer   ~0004549

My location (QF55mx, -34.0352, 151.028) results in -34.02083333, 151.04166667 which is at the centre of QF55mx. Results attached. Fixed!

Mantis 1690 Test.jpg (179,672 bytes)
Mantis 1690 Test.jpg (179,672 bytes)

K7ZCZ

2018-03-29 08:01

manager   ~0004592

For completeness, I want to note that this change list (checked in 2018-03-11) fixes this issue.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3929

Issue History

Date Modified Username Field Change
2014-08-11 21:56 WA9PIE New Issue
2014-09-24 11:48 user36 Relationship added related to 0001660
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-22 23:43 WA9PIE Fix Build TBD => (select)
2015-09-22 23:43 WA9PIE Summary Bug: Lat/Lon calc on Location tab incorrect when updating grid => Lat/Lon calc on Location tab incorrect when updating grid
2018-03-08 22:15 K7ZCZ Assigned To => K7ZCZ
2018-03-08 22:15 K7ZCZ Status new => assigned
2018-03-08 22:17 K7ZCZ Note Added: 0004456
2018-03-08 22:47 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-08 22:48 WA9PIE Status assigned => resolved
2018-03-08 22:48 WA9PIE Resolution open => fixed
2018-03-08 22:48 WA9PIE Testing => Not Started
2018-03-09 16:21 WA9PIE Status resolved => assigned
2018-03-09 16:21 WA9PIE Resolution fixed => open
2018-03-09 16:21 WA9PIE Status assigned => resolved
2018-03-13 14:21 WA9PIE Resolution open => @21@
2018-03-13 14:26 WA9PIE Resolution @21@ => @22@
2018-03-13 18:52 WA9PIE Resolution @22@ => fixed
2018-03-22 07:05 WA9PIE Target Version => 6.4.0.797
2018-03-22 07:06 WA9PIE Fixed in Version => 6.4.0.797
2018-03-22 14:25 g3ucq Note Added: 0004526
2018-03-23 18:32 vk2byi File Added: Mantis 1690 Test.jpg
2018-03-23 18:32 vk2byi Note Added: 0004549
2018-03-29 08:01 K7ZCZ Note Added: 0004592
2018-04-04 14:31 WA9PIE Status resolved => closed
2018-04-04 14:31 WA9PIE Testing Not Started => Beta Successful
2018-04-04 15:30 WA9PIE Target Version 6.4.0.797 =>
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.797 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806